-- Notecase Pro sample script (requires Notecase Pro >= 3.1.3)
--
-- Description:
-- 	This is a basic test script, displays the number of currently opened documents

-- make sure app version supports necessary scriptable program commands
nMaj, nMin, nRev = Nc_Config_GetAppVersion()
if (nMaj < 3 or (nMaj == 3 and nMin < 1) or (nMaj == 3 and nMin == 1 and nRev < 3)) then
	Nc_GUI_MessageBox("ERROR: Script requires NcPro version >= 3.1.3")
	return
end

-- get open document count
nCount = Nc_App_GetDocCount()

-- display message
Nc_GUI_MessageBox("You have " .. nCount .. " document(s) open in your Notecase Pro")
